package edu.uoc.prezmm.a1list2cook;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import edu.uoc.prezmm.a1list2cook.objects_class.Users;

public class HomeActivity extends BaseActivity {

    private String userName;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //Defineix el contingut del layout de la Activity dins el frame de la classe pare
        setLayoutToBaseFrame(R.layout.activity_home);

        //Canvia el títol del ToolBar
        setToolBarTitle("Home");

        //Recupera la informació necessaria de l'usuari
        SharedPreferences prefs = getSharedPreferences("UserInfo", Context.MODE_PRIVATE);
        Users userInfo = new Users(prefs);
        userName = userInfo.getUserName();

        //Mostra el nom de l'usuari
        TextView userNameText = (TextView)findViewById(R.id.userNameText);
        userNameText.setText(userName);
    }

    //Funció pel botó de anar a afegir una recepta
    public void changeToAddRecipe(View v) {
        changeActivity(RecipeAddActivity.class);
    }
    //Funció pel botó per cercar receptes
    public void changeToSearchRecipe(View v) { changeActivity(RecipesSearchActivity.class); }
    //Funció pel botó de anar a afegir una recepta
    public void changeToLists(View v) {
        changeActivity(ListsListActivity.class);
    }
    //Funció pel botó de anar al tutorial
    public void changeToTutorial(View v) {
        changeActivity(TutorialActivity.class);
    }
}
